package _VisualDVM.ServerObjectsCache;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Test.Test;
import _VisualDVM.TestingSystem.Common.TestFile.TestFile;

import java.util.Vector;
public class TestCache extends VisualCache {
    public String srcNames = "";
    public TestCache(Test object) {
        Vector<String> names = new Vector<>();
        Vector<TestFile> files = Global.testingServer.db.getVectorByFK(object, TestFile.class);
        for (TestFile testFile : files)
            names.add(testFile.name);
        srcNames = String.join(";", names);
    }
}
